=== debian/changelog ===
ros-kinetic-slam-constructor (0.9.3-0xenial) xenial; urgency=high

  * Minor fixes

 -- OSLL <ros@osll.ru>  Tue, 29 May 2018 21:00:00 -0000

ros-kinetic-slam-constructor (0.9.2-0xenial) xenial; urgency=high

  * Added support for gcc 4.9

 -- OSLL <ros@osll.ru>  Fri, 18 May 2018 21:00:00 -0000

ros-kinetic-slam-constructor (0.9.1-0xenial) xenial; urgency=high

  * Added support for CMake 2.8

 -- OSLL <ros@osll.ru>  Thu, 17 May 2018 21:00:00 -0000

ros-kinetic-slam-constructor (0.9.0-0xenial) xenial; urgency=high

  * Initial release
  * Contributors: Artur Huletski, Dmitriy Kartashov, Kirill Krinkin, RomanDegtyar, art32fil

 -- OSLL <ros@osll.ru>  Sun, 15 Apr 2018 21:00:00 -0000
